Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class Id

    java.lang.Object
      com.bea.netuix.application.identifier.Id

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BookDefinitionId, BookGroupId, BookInstanceId, com.bea.netuix.application.identifier.CategoryDefinitionId, DesktopInstanceId, LayoutDefinitionId, LocalizationIntersectionId, LocalizationLocaleId, LookAndFeelDefinitionId, MarkupDefinitionId, MenuDefinitionId, PageDefinitionId, PageInstanceId, PlaceholderDefinitionId, PlacementId, PortletDefinitionId, PortletInstanceId, ShellDefinitionId, ThemeDefinitionId

public class Id
extends Object
implements Serializable

All other Id classes extend this class. It represents the primary keys of portal objects in the database, and is used to uniquely identify them. `Id` will be needed when customizing most portal objects on a desktop.

See Also:
  Serialized Form

Field Summary
`protected int` | `id`

Constructor Summary
`Id(int id)`

Method Summary
`static boolean` | `equals(Id id1, Id id2)` Return true if the two IDs are equal (like Id.equals(), but allowing null values for both operands).
`boolean` | `equals(Object o)`
`int` | `getId()`
`String` | `getUniqueLabel()` Utility to generate a unique definition label
`int` | `hashCode()`
`void` | `setId(int id)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

Constructor Detail

### Id

    public Id(int id)

Method Detail

### equals

    public static boolean equals(Id id1,
                                 Id id2)

  Return true if the two IDs are equal (like Id.equals(), but allowing null values for both operands).

### equals

    public boolean equals(Object o)

  Parameters:
    `o` - an `Id` object to compare to this `Id`.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

### getId

    public int getId()

  Returns:
    the integer value of the `Id`.

### getUniqueLabel

    public String getUniqueLabel()

  Utility to generate a unique definition label

### hashCode

    public int hashCode()

  Returns:
    a hash code value for this object.

### setId

    public void setId(int id)

  Parameters:
    `id` - the integer value that this `Id` should be set to.

### toString

    public String toString()

  Returns:
    the string value of the integer representing the `Id`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved